---
title: llarp::layers::onion::OnionLayer

---

# llarp::layers::onion::OnionLayer





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[OnionLayer](Classes/classllarp_1_1layers_1_1onion_1_1OnionLayer.md#function-onionlayer)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| void | **[trigger_work](Classes/classllarp_1_1layers_1_1onion_1_1OnionLayer.md#function-trigger-work)**() const<br>idempotently tell the onion layer that we have work to submit.  |
| void | **[start](Classes/classllarp_1_1layers_1_1onion_1_1OnionLayer.md#function-start)**() |
| void | **[stop](Classes/classllarp_1_1layers_1_1onion_1_1OnionLayer.md#function-stop)**() |
| [OnionStats](Classes/structllarp_1_1layers_1_1onion_1_1OnionStats.md) | **[current_stats](Classes/classllarp_1_1layers_1_1onion_1_1OnionLayer.md#function-current-stats)**() const |

## Public Functions Documentation

### function OnionLayer

```cpp
explicit OnionLayer(
    AbstractRouter & 
)
```


### function trigger_work

```cpp
void trigger_work() const
```

idempotently tell the onion layer that we have work to submit. 

### function start

```cpp
void start()
```


### function stop

```cpp
void stop()
```


### function current_stats

```cpp
OnionStats current_stats() const
```


-------------------------------

Updated on 2023-04-27 at 04:17:17 +0000